|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionFocusRect Class Reference

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle. More...

    #include <QStyleOptionFocusRect>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- backgroundColor : const QColor

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionFocusRect ()
- QStyleOptionFocusRect ( const QStyleOptionFocusRect & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle.

## Property Documentation

### backgroundColor : const QColor

This property holds the background color on which the focus rectangle is being drawn.

## Member Function Documentation

### QStyleOptionFocusRect::QStyleOptionFocusRect ()

Constructs a QStyleOptionFocusRect. The members variables are initialized to default values.

### QStyleOptionFocusRect::QStyleOptionFocusRect ( const QStyleOptionFocusRect & other )